---
title: "Sends a delivery's event to its endpoint again, with the same event id; needs the read scopes its payload carries."
---

> Documentation Index
> Fetch the complete documentation index at: https://docs.sherpo.io/llms.txt
> Use this file to discover all available pages before exploring further.

Path: Sherpo merchant API › organization

`POST /v1/stores/{store}/webhook_deliveries/{delivery}/resend`

## Authentication

- `bearer`, http, header `Authorization`, scopes: `organization:write`

## Path parameters

- `store` (`resendWebhookDelivery.path.store`; string, required) — The store's id.
- `delivery` (`resendWebhookDelivery.path.delivery`; string, required)
  - minLength 1

## Header parameters

- `Idempotency-Key` (`resendWebhookDelivery.header.Idempotency-Key`; string, optional) — Repeats within 24 hours answer the first result; the same key with other arguments is a conflict.
  - minLength 1; maxLength 255; pattern `^[\x21-\x7E]+$`

## Request body

_Optional._

## Example request

```json
{}
```

## Code samples

### cURL

```bash
curl --request POST \
  --url 'https://api.sherpo.io/merchant/v1/stores/<store>/webhook_deliveries/<delivery>/resend' \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{}'
```

### TypeScript

```typescript
const url = 'https://api.sherpo.io/merchant/v1/stores/<store>/webhook_deliveries/<delivery>/resend';
const options = {
  method: 'POST',
  headers: {'Content-Type': 'application/json', Authorization: 'Bearer <token>'},
  body: JSON.stringify({})
};

fetch(url, options)
  .then(res => res.json())
  .then(json => console.log(json))
  .catch(err => console.error(err));
```

### Python

```python
import requests

url = "https://api.sherpo.io/merchant/v1/stores/<store>/webhook_deliveries/<delivery>/resend"

payload = {}
headers = {
    "Content-Type": "application/json",
    "Authorization": "Bearer <token>"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
```

## Responses

### 200

Sends a delivery's event to its endpoint again, with the same event id; needs the read scopes its payload carries.

#### Example

```json
{
  "id": "string",
  "webhook_id": "string",
  "event_id": "string",
  "event": "string",
  "status": "string",
  "attempts": 0,
  "response_status": 0,
  "last_error": "string",
  "created_at": "string",
  "next_attempt_at": "string",
  "waiting": "string",
  "stuck": true,
  "undone": true,
  "settled_at": "string"
}
```

- `id` (`resendWebhookDelivery.response.200.id`; string, required)
- `webhook_id` (`resendWebhookDelivery.response.200.webhook_id`; string, required)
- `event_id` (`resendWebhookDelivery.response.200.event_id`; string, required)
- `event` (`resendWebhookDelivery.response.200.event`; string, required)
- `status` (`resendWebhookDelivery.response.200.status`; string, required)
- `attempts` (`resendWebhookDelivery.response.200.attempts`; number, required)
- `response_status` (`resendWebhookDelivery.response.200.response_status`; any of, required)
  - any of: `number`, `null`
- `last_error` (`resendWebhookDelivery.response.200.last_error`; any of, required)
  - any of: `string`, `null`
- `created_at` (`resendWebhookDelivery.response.200.created_at`; string, required)
- `next_attempt_at` (`resendWebhookDelivery.response.200.next_attempt_at`; any of, required)
  - any of: `string`, `null`
- `waiting` (`resendWebhookDelivery.response.200.waiting`; any of, required)
  - any of: `string`, `null`
- `stuck` (`resendWebhookDelivery.response.200.stuck`; boolean, required)
- `undone` (`resendWebhookDelivery.response.200.undone`; boolean, required)
- `settled_at` (`resendWebhookDelivery.response.200.settled_at`; any of, required)
  - any of: `string`, `null`

### default

A problem; see https://api.sherpo.io/merchant/docs/errors.

#### Example

```json
{
  "type": "http://example.com",
  "title": "string",
  "status": 0,
  "detail": "string",
  "code": "string",
  "context": {},
  "reached_core": true,
  "core_answer": "string"
}
```

- `type` (`resendWebhookDelivery.response.default.type`; string, required)
  - format `uri`
- `title` (`resendWebhookDelivery.response.default.title`; string, required)
- `status` (`resendWebhookDelivery.response.default.status`; integer, required)
- `detail` (`resendWebhookDelivery.response.default.detail`; string, required)
- `code` (`resendWebhookDelivery.response.default.code`; string, optional)
- `context` (`resendWebhookDelivery.response.default.context`; object, optional)
- `reached_core` (`resendWebhookDelivery.response.default.reached_core`; boolean, optional)
- `core_answer` (`resendWebhookDelivery.response.default.core_answer`; string, optional)


Source: https://docs.sherpo.io/merchant-api/reference/resend-webhook-delivery/index.md
